Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class ReleaseSessions

    java.lang.Object
      org.jboss.portal.wsrp.core.ReleaseSessions

All Implemented Interfaces:
  java.io.Serializable

    public class ReleaseSessions

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected RegistrationContext` | `registrationContext`
`protected java.lang.String[]` | `sessionIDs`

Constructor Summary
`ReleaseSessions()`
`ReleaseSessions(RegistrationContext registrationContext, java.lang.String[] sessionIDs)`

Method Summary
`RegistrationContext` | `getRegistrationContext()`
`java.lang.String[]` | `getSessionIDs()`
`void` | `setRegistrationContext(RegistrationContext registrationContext)`
`void` | `setSessionIDs(java.lang.String[] sessionIDs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registrationContext

    protected RegistrationContext registrationContext

### sessionIDs

    protected java.lang.String[] sessionIDs

Constructor Detail

### ReleaseSessions

    public ReleaseSessions()

### ReleaseSessions

    public ReleaseSessions(RegistrationContext registrationContext,
                           java.lang.String[] sessionIDs)

Method Detail

### getRegistrationContext

    public RegistrationContext getRegistrationContext()

### setRegistrationContext

    public void setRegistrationContext(RegistrationContext registrationContext)

### getSessionIDs

    public java.lang.String[] getSessionIDs()

### setSessionIDs

    public void setSessionIDs(java.lang.String[] sessionIDs)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD